package plugins.big.bigsnake.graph;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import plugins.big.bigsnakeutils.icy.snake2D.Snake2DNode;


public class NodeList extends ArrayList<Snake2DNode> {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3005460963173154210L;

	/** Constructor */
	public NodeList() {
		super();
	}
	
	public NodeList(List<Snake2DNode> nodeList) {
		super();
		for (Snake2DNode node : nodeList) add(node);
	}

	@Override
	public String toString() {
		String str = "node list = {";
		for (Snake2DNode node : this) {
			str += "(" + node.x + ", " + node.y + "), ";
		}
		str = str.substring(0, str.length() - 2) + "}";
		return str;
	}
	
	public void reverse() {
		Collections.reverse(this); // modifies the 'view' of the list (no copy)
	}
}
