package plugins.big.bigsnake.snake.Enums;

public enum GlobalSnakeSortingType {
	SUBSNAKE_CENTROID_X("Centroid x, then y"),
	SUBSNAKE_CENTROID_Y("Centroid y, then x"),
	NUCLEI_CENTROID_X("Nuclei x, then y"),
	NUCLEI_CENTROID_Y("Nuclei y, then x"),
	SUBSNAKE_AREA_INC("Area (/)"),
	SUBSNAKE_AREA_DEC("Area (\\)"),
	NONE("None")
	;
	
	private final String text;
	
	GlobalSnakeSortingType(final String text) {
		this.text = text;
	}
	
	@Override
    public String toString() {
        return text;
    }
}
